### Type parameters

- #### T

### Hierarchy

- ReadManyRequest<T, ScanInput, ScanOutput, ScanResponse<T>, ScanRequest<T>>
  - ScanRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- logger
- metadata
- modelClazz
- params
- secondaryIndex
- tableName
- DEFAULT_LIMIT
- INFINITE_LIMIT

### Methods

- doRequest
- exclusiveStartKey
- exec
- execCount
- execFetchAll
- execFullResponse
- execNoMap
- execSingle
- index
- limit
- mapFromDb
- returnConsumedCapacity
- where
- whereAttribute

## Constructors

### constructor

- new ScanRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>): ScanRequest

- Overrides ReadManyRequest.constructor

  - Defined in dynamo/request/scan/scan.request.ts:13

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  #### Returns ScanRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:28

### Protected logger

logger: Logger

Overrides ReadManyRequest.logger

- Defined in dynamo/request/scan/scan.request.ts:13

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: ScanInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### Protected Optional secondaryIndex

secondaryIndex: SecondaryIndex<T>

Inherited from ReadManyRequest.secondaryIndex

- Defined in dynamo/request/read-many.request.ts:29

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

### Static DEFAULT_LIMIT

DEFAULT_LIMIT: number = 10

Inherited from ReadManyRequest.DEFAULT_LIMIT

- Defined in dynamo/request/read-many.request.ts:26

### Static INFINITE_LIMIT

INFINITE_LIMIT: number = -1

Inherited from ReadManyRequest.INFINITE_LIMIT

- Defined in dynamo/request/read-many.request.ts:27

## Methods

### Protected doRequest

- doRequest(params: ScanInput): Promise<ScanOutput>

- Overrides ReadManyRequest.doRequest

  - Defined in dynamo/request/scan/scan.request.ts:20

  #### Parameters

  - ##### params: ScanInput

  #### Returns Promise<ScanOutput>

### exclusiveStartKey

- exclusiveStartKey(key: DynamoDB.Key | null): ScanRequest<T>

- Inherited from ReadManyRequest.exclusiveStartKey

  - Defined in dynamo/request/read-many.request.ts:50

  #### Parameters

  - ##### key: DynamoDB.Key | null

    A map representing the start id which is included in next call, if null is delivered startKey will be removed from params

  #### Returns ScanRequest<T>

### exec

- exec(): Promise<T[]>

- Inherited from ReadManyRequest.exec

  Overrides StandardRequest.exec

  - Defined in dynamo/request/read-many.request.ts:135

  #### Returns Promise<T[]>

### execCount

- execCount(): Promise<number>

- Inherited from ReadManyRequest.execCount

  - Defined in dynamo/request/read-many.request.ts:119

  #### Returns Promise<number>

### execFetchAll

- execFetchAll(): Promise<T[]>

- Inherited from ReadManyRequest.execFetchAll

  - Defined in dynamo/request/read-many.request.ts:155

  fetches all pages. may uses all provisionedOutput, therefore for client side use cases rather use pagedDatasource (exec)

  #### Returns Promise<T[]>

### execFullResponse

- execFullResponse(): Promise<ScanResponse<T>>

- Inherited from ReadManyRequest.execFullResponse

  Overrides StandardRequest.execFullResponse

  - Defined in dynamo/request/read-many.request.ts:144

  #### Returns Promise<ScanResponse<T>>

### execNoMap

- execNoMap(): Promise<O>

- Inherited from ReadManyRequest.execNoMap

  - Defined in dynamo/request/read-many.request.ts:96

  #### Returns Promise<O>

### execSingle

- execSingle(): Promise<T | null>

- Inherited from ReadManyRequest.execSingle

  - Defined in dynamo/request/read-many.request.ts:102

  #### Returns Promise<T | null>

### index

- index(indexName: string): ScanRequest<T>

- Inherited from ReadManyRequest.index

  - Defined in dynamo/request/read-many.request.ts:60

  #### Parameters

  - ##### indexName: string

  #### Returns ScanRequest<T>

### limit

- limit(limit: number): ScanRequest<T>

- Inherited from ReadManyRequest.limit

  - Defined in dynamo/request/read-many.request.ts:72

  #### Parameters

  - ##### limit: number

  #### Returns ScanRequest<T>

### Protected mapFromDb

- mapFromDb(output: ScanOutput): Z

- Inherited from ReadManyRequest.mapFromDb

  - Defined in dynamo/request/read-many.request.ts:159

  #### Parameters

  - ##### output: ScanOutput

  #### Returns Z

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): ReadManyRequest<T, ScanInput, ScanOutput, ScanResponse<T>, ScanRequest<T>>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns ReadManyRequest<T, ScanInput, ScanOutput, ScanResponse<T>, ScanRequest<T>>

### where

- where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): ScanRequest<T>

- Inherited from ReadManyRequest.where

  - Defined in dynamo/request/read-many.request.ts:90

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns ScanRequest<T>

### whereAttribute

- whereAttribute<K>(attributePath: K): RequestConditionFunction<ScanRequest<T>, T, K>

- Inherited from ReadManyRequest.whereAttribute

  - Defined in dynamo/request/read-many.request.ts:86

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<ScanRequest<T>, T, K>

Generated using TypeDoc